#pragma once
#ifndef LRTABLES_SLR1ITEMSET_H_PN9QZCDB
#define LRTABLES_SLR1ITEMSET_H_PN9QZCDB

#include "Parsodus/lrtables/LR0Item.h"
#include "Parsodus/lrtables/LR0Itemset.h"

namespace pds {
namespace lr {

class SLR1Itemset : public LR0ItemsetBase<SLR1Itemset> {
    public:
        SLR1Itemset();
        SLR1Itemset(std::shared_ptr<Rule> start);

        static bool needsFollow();
        
        std::set<std::size_t> getReduces(const Grammar& g, std::string lookahead) const;
};

} /* lr */ 
} /* pds */

#endif /* LRTABLES_SLR1ITEMSET_H_PN9QZCDB */
